QGIS Application - Feature request #2954
Would be useful to be able to position text away from points
2010-08-19 02:40 AM - infobleep -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13014
Description

It would be useful if text could be positioned away from points to aid cartographic design of maps. In doing so it would be useful if the
names could remain linked to the points they represent, rather than becoming an annotation class as traditionally [[ArcGIS]] has done.

History

#1 - 2010-08-19 03:06 AM - Giovanni Manghi

| believe that in both the old and new labelling engine you can set the distance from the features and the their labels. Please check and report back.

#2 - 2010-09-21 05:51 AM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to invalid

closing for lack of feedback. Reopen if necessary.

#3 - 2010-09-21 06:30 AM - infobleep -

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

Sorry for not getting back. | missed the previous message alert.

It is possible to set the label distance but from my testing | could only see how to do it globally for each layer rather than each individual piece of text. Whilst

setting it globally is useful, it would be useful if it could also be done manually for each piece of text. For example one piece of text may clash with a

non-text feature and require to be moved in solely that once case. As a cartographer that is something | would find useful.

#4 - 2010-09-21 06:33 AM - Giovanni Manghi

it would work for you a data driven parameter for label distance?

#5 - 2010-09-21 07:48 AM - infobleep -

Do you mean in the form of a field containing the distances? That wouldn't work because a lot of the text placement changes are none by eye. It is more of
a visual look rather than a data driven look if that makes sense.

For example today | was working on a document where | needed to place number labels on a map. The base map they were appearing on was a raster
image so nothing could be moved in that. In order to avoid text clashes, and even grid clashes, | manually moved the numbers where possible. This

manual moving was on a case by case basis. | was doing this work in [[ArcGIS]] 9.3.1 and that requires one to create an annotations layer, which itself isn't

satisfactory, as you then lose the direct link between the text and the layer it represents.

#6 - 2010-09-22 12:36 AM - Giovanni Manghi

Do you need to displace labels at wish in the canvas or in the print (layout) composer?

In any case seems an interesting feature but not really simple to implement. Consider funding the project to get what you need

http://qgis.org/wiki/Bugs

Replying to [comment:6 infobleep]:

Do you mean in the form of a field containing the distances? That wouldn't work because a lot of the text placement changes are none by eye. It is

more of a visual look rather than a data driven look if that makes sense.

For example today | was working on a document where | needed to place number labels on a map. The base map they were appearing on was a
raster image so nothing could be moved in that. In order to avoid text clashes, and even grid clashes, | manually moved the numbers where
possible. This manual moving was on a case by case basis. | was doing this work in [[ArcGIS]] 9.3.1 and that requires one to create an annotations
layer, which itself isn't satisfactory, as you then lose the direct link between the text and the layer it represents.

#7 - 2010-09-22 12:43 AM - infobleep -

Thank you for replying. The displaced labels would be useful in the composer but also on the canvas too. I'm sure it isn't simple to implement.

As for funding. | can't personally afford to fund it myself but that's not to say the company | did the testing for might not fund it in the future if they ever

decided to use the Quantum software.

#8 - 2010-12-12 07:31 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to fixed

This feature has been added to trunk. You have 3 new buttons in the labelling toolbar: move label, rotate label and change label. Bottom line: you can now
displace/rotate single labels from features at wish..

#9 - 2010-12-13 12:53 AM - infobleep -

Thank you for doing that.
